asn1_delete_structure2(3)

NAME
asn1_delete_structure2 - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_delete_structure2(asn1_node * structure, unsigned int flags);

ARGUMENTS

asn1_node * structure
    pointer to the structure that you want to delete.

unsigned int flags
    additional flags (see ASN1_DELETE_FLAG)

DESCRIPTION
Deletes the structure * structure . At the end, * structure is set to NULL.

RETURNS
ASN1_SUCCESS if successful, ASN1_ELEMENT_NOT_FOUND if * structure was NULL.

COPYRIGHT
Copyright © 2006-2021 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/